import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {

        String book = hamletText;

        String actual = HamletParser.changeToLeon(book);
        Assert.assertTrue(actual.contains("leon"));
        //research .replace


    }

    @Test
    public void testChangeHoratioToTariq() {
        String book = hamletText;

        String actual = HamletParser.changeToTariq(book);
        Assert.assertTrue(actual.contains("Tariq"));
        //research .replace
    }

    @Test
    public void testFindHoratio() {
        String book = hamletText;

        String expected = "Horatio";

        String actual = HamletParser.findHoratio(book);

        Assert.assertEquals(expected, actual);
        //repeat find hamlet
    }

    @Test
    public void testFindHamlet() {
        String book = hamletText;

        String expected = "Hamlet";

        String actual = HamletParser.findHamlet(book);

        Assert.assertEquals(expected, actual);
    }
}